System.DirectoryServices 1.0.5000.0 System.Reflection.AssemblyKeyFile(KeyFile="../msfinal.pub") System.Reflection.AssemblyDelaySign(DelaySign=True) System.Runtime.InteropServices.ComVisible(Value=False) System.Resources.NeutralResourcesLanguage(CultureName="en-US") System.Reflection.AssemblyInformationalVersion(InformationalVersion="0.0.0.1") System.Reflection.AssemblyDefaultAlias(DefaultAlias="System.DirectoryServices.dll") System.CLSCompliant(IsCompliant=True) System.Reflection.AssemblyTrademark(Trademark="") System.Reflection.AssemblyCopyright(Copyright="(c) 2003 Various Authors") System.Reflection.AssemblyProduct(Product="MONO CLI") System.Reflection.AssemblyCompany(Company="MONO development team") System.Reflection.AssemblyConfiguration(Configuration="Development version") System.Reflection.AssemblyDescription(Description="System.DirectoryServices.dll") System.Reflection.AssemblyTitle(Title="System.DirectoryServices.dll") System.Resources.SatelliteContractVersion(Version="1.0.5000.0") System.ComponentModel.Component System.ComponentModel.IComponent System.IDisposable
- Constructor
  To be added.
  To be added.
- Constructor
  To be added.
  To be added.
  To be added.
- Constructor
  To be added.
  To be added.
  To be added.
- Constructor
  To be added.
  To be added.
  To be added.
  To be added.
- Constructor
  To be added.
  To be added.
  To be added.
  To be added.
- Constructor
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
- Constructor
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
- Constructor
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
- Method
  System.DirectoryServices.SearchResult To be added. To be added. To be added.
- Method
  System.DirectoryServices.SearchResultCollection To be added. To be added. To be added.
- Property
  System.ComponentModel.DefaultValue(Value=True)
  System.DirectoryServices.DSDescription(Description="The cacheability of results.")
  System.Boolean To be added. To be added. To be added.
- Property
  System.DirectoryServices.DSDescription(Description="The maximum amount of time that the client waits for the server to return results.")
  System.TimeSpan To be added. To be added. To be added.
- Property
  System.ComponentModel.TypeConverter(ConverterTypeName="System.Diagnostics.Design.StringValueConverter, System.Design, Version=1.0.5000.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a")
  System.ComponentModel.RecommendedAsConfigurable(RecommendedAsConfigurable=True)
  System.ComponentModel.DefaultValue(Value="(objectClass=*)")
  System.DirectoryServices.DSDescription(Description="The Lightweight Directory Access Protocol (Ldap) format filter string.")
  System.String To be added. To be added. To be added.
- Property
  System.ComponentModel.DefaultValue(Value=0)
  System.DirectoryServices.DSDescription(Description="The page size in a paged search.")
  System.Int32 To be added. To be added. To be added.
- Property
  System.ComponentModel.Editor(EditorBaseTypeName="System.Drawing.Design.UITypeEditor, System.Drawing, Version=1.0.5000.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", EditorTypeName="System.Windows.Forms.Design.StringCollectionEditor, System.Design, Version=1.0.5000.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a")
  System.ComponentModel.DesignerSerializationVisibility(Visibility=System.ComponentModel.DesignerSerializationVisibility.Content)
  System.DirectoryServices.DSDescription(Description="The set of properties retrieved during the search.")
  System.Collections.Specialized.StringCollection To be added. To be added. To be added.
- Property
  System.ComponentModel.DefaultValue(Value=False)
  System.DirectoryServices.DSDescription(Description="A value indicating whether the search retrieves only the names of attributes to which values have been assigned.")
  System.Boolean To be added. To be added. To be added.
- Property
  System.ComponentModel.DefaultValue(Value=1)
  System.DirectoryServices.DSDescription(Description="How referrals are chased.")
  System.DirectoryServices.ReferralChasingOption To be added. To be added. To be added.
- Property
  System.ComponentModel.DefaultValue(Value=null)
  System.DirectoryServices.DSDescription(Description="The node in the Ldap Directory hierarchy where the search starts.")
  System.DirectoryServices.DirectoryEntry To be added. To be added. To be added.
- Property
  System.ComponentModel.RecommendedAsConfigurable(RecommendedAsConfigurable=True)
  System.ComponentModel.DefaultValue(Value=2)
  System.DirectoryServices.DSDescription(Description="The scope of the search that is observed by the server.")
  System.DirectoryServices.SearchScope To be added. To be added. To be added.
- Property
  System.DirectoryServices.DSDescription(Description="The time limit the server should observe to search an individual page of results.")
  System.TimeSpan To be added. To be added. To be added.
- Property
  System.DirectoryServices.DSDescription(Description="The time limit the server should observe to search.")
  System.TimeSpan To be added. To be added. To be added.
- Property
  System.ComponentModel.DefaultValue(Value=0)
  System.DirectoryServices.DSDescription(Description="The maximum number of objects the server returns in a search.")
  System.Int32 To be added. To be added. To be added.
- Property
  System.ComponentModel.TypeConverter(ConverterTypeName="System.ComponentModel.ExpandableObjectConverter, System, Version=1.0.5000.0, Culture=neutral, PublicKeyToken=b77a5c561934e089")
  System.ComponentModel.DesignerSerializationVisibility(Visibility=System.ComponentModel.DesignerSerializationVisibility.Content)
  System.DirectoryServices.DSDescription(Description="An object that defines how the data should be sorted.")
  System.DirectoryServices.SortOption To be added. To be added. To be added.
To be added. To be added.